<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('structmelon_1_1_ann_structure.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">melon::AnnStructure Member List</div></div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="structmelon_1_1_ann_structure.html">melon::AnnStructure</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="structmelon_1_1_ann_structure.html#a105f394f328ec4db9f3b04a42fa620d8">activationFunction</a></td><td class="entry"><a class="el" href="structmelon_1_1_ann_structure.html">melon::AnnStructure</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="structmelon_1_1_ann_structure.html#a53f444127c72cd4974588d8fe5bde250">biasConnect</a></td><td class="entry"><a class="el" href="structmelon_1_1_ann_structure.html">melon::AnnStructure</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structmelon_1_1_ann_structure.html#aac68a367dad6322936825ea88bcc5a68">inputConnect</a></td><td class="entry"><a class="el" href="structmelon_1_1_ann_structure.html">melon::AnnStructure</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="structmelon_1_1_ann_structure.html#a1e7a81af797e4f9aa27e70f47c8735e8">inputSize</a></td><td class="entry"><a class="el" href="structmelon_1_1_ann_structure.html">melon::AnnStructure</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structmelon_1_1_ann_structure.html#ac38f895d9a1732edfbb473613b20b504">layerConnect</a></td><td class="entry"><a class="el" href="structmelon_1_1_ann_structure.html">melon::AnnStructure</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="structmelon_1_1_ann_structure.html#a884e5315a0f182176426a8be18436715">layerSize</a></td><td class="entry"><a class="el" href="structmelon_1_1_ann_structure.html">melon::AnnStructure</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structmelon_1_1_ann_structure.html#a9506ef28c29e149fe0283ad7311fa275">normalizedOutput</a></td><td class="entry"><a class="el" href="structmelon_1_1_ann_structure.html">melon::AnnStructure</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="structmelon_1_1_ann_structure.html#a6a3a954be4652ddccc8790fca4830a3b">numLayers</a></td><td class="entry"><a class="el" href="structmelon_1_1_ann_structure.html">melon::AnnStructure</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structmelon_1_1_ann_structure.html#aa74231a71fc4e0d1380b441ece0b527c">scaledInput</a></td><td class="entry"><a class="el" href="structmelon_1_1_ann_structure.html">melon::AnnStructure</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0 </li>
  </ul>
</div>
</body>
</html>
